Subject: Re: git-svn mirror in bare repo

From: Enrico Weigelt <[email-masked]>
Date: Mon, 23 Aug 2010 15:13:48 +0200

* Michael J Gruber <[email-masked]> wrote:
> Enrico Weigelt venit, vidit, dixit 23.08.2010 14:24:
> > 
> > Hi folks,
> > 
> > is it possible to use git-svn w/ an bare repository (eg. using
> > an temporary workdir when necessary or directly creating tree
> > and commit objects w/o going through workdir at all) ?
> 
> No.

hmm, can it work with an external workdir ?

> > I'm running a dozen of mirrors (also from cvs), some from fairly
> > large and I'd like to get rid of the working copies.
> 
> Your only option is a different conversion tool. GSoC resulted in a lot
> of code in this direction, but I'm not sure it can do without a workdir.
> It is based on svndump

I guess that requires access to the raw repository (on the server),
not just unprivileged svn client access, right ?

cu
-- 
----------------------------------------------------------------------
 Enrico Weigelt, metux IT service -- http://www.metux.de/

 phone:  +49 36207 519931  email: [email-masked]
 mobile: +49 151 27565287  icq:   210169427         skype: nekrad666
----------------------------------------------------------------------
 Embedded-Linux / Portierung / Opensource-QM / Verteilte Systeme
----------------------------------------------------------------------